List admins
GET/v2/admins
Returns all admins for your organization.
This endpoint returns all admins at once (typically a small list). No pagination is supported.
Response Format
Returns a list object with:
object- Always “list”data- Array of admin objectsnextCursor- Always null
Admin Object
Each admin includes:
id- Unique admin identifiername- Admin’s display nameemail- Admin’s email addresspicture- Profile picture URLroleId- ID of the role assigned to this admin
List admins
curl https://do.featurebase.app/v2/admins \
-H "Authorization: Bearer $FEATUREBASE_API_KEY"{
"data": [
{
"id": "5fef50c5e9458a0012f82456",
"object": "admin",
"email": "john@example.com",
"name": "John Doe",
"profilePicture": "https://example.com/avatar.png",
"roleId": "6648f22b7b23fb2f4307aafe"
}
],
"nextCursor": null,
"object": "list",
"pagination": {
"limit": 10,
"page": 1,
"total": 42,
"totalPages": 5
}
}Returns Examples
{
"data": [
{
"id": "5fef50c5e9458a0012f82456",
"object": "admin",
"email": "john@example.com",
"name": "John Doe",
"profilePicture": "https://example.com/avatar.png",
"roleId": "6648f22b7b23fb2f4307aafe"
}
],
"nextCursor": null,
"object": "list",
"pagination": {
"limit": 10,
"page": 1,
"total": 42,
"totalPages": 5
}
}